Precise 20120213 i386 live session fails in virtualbox

Bug #1124660 reported by Paul Larson on 2013-02-13
20
This bug affects 3 people
Affects Status Importance Assigned to Milestone
libpciaccess (Ubuntu)
Undecided
Unassigned
Precise
High
Unassigned

Bug Description

I get to the graphical screen that asks me to choose to try ubuntu or install. Choosing to install seems to go along ok, but if I choose the live session it takes me to a blank screen with a dialot saying
"""
The system is running in low-graphics mode
Your screen, graphics card, and input device settings could not be detected correctly. You will need to configure these yourself.
"""

When I press ok, I get the following options:
* Run in low-graphics mode for just one session
* Reconfigure graphics
* Troubleshoot the error
* Exit to console login

Choosing to run in low graphics mode tells me to "Stand by one minute while the display restarts..." then goes to a black console screen with no X as before the fix for libpciaccess in bug #1122072.
The version of libpciaccess0 on this system is 0.12.902-1ubuntu0.1

Choosing to reconfigure graphics doesn't get me to a running desktop either.

On amd64 I am able to boot into the live session under virtualbox

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: xorg 1:7.6+12ubuntu2
ProcVersionSignature: Ubuntu 3.5.0-23.35~precise1-generic 3.5.7.2
Uname: Linux 3.5.0-23-generic i686
ApportVersion: 2.0.1-0ubuntu17.1
Architecture: i386
CasperVersion: 1.315.1
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
Date: Wed Feb 13 23:45:05 2013
DistUpgraded: Fresh install
DistroCodename: precise
DistroVariant: ubuntu
ExtraDebuggingInterest: Yes,
GraphicsCard: InnoTek Systemberatung GmbH VirtualBox Graphics Adapter [80ee:beef] (prog-if 00 [VGA controller])
LiveMediaBuild: Ubuntu 12.04.2 LTS "Precise Pangolin" - Release i386 (20130213)
Lsusb:
 Bus 001 Device 002: ID 80ee:0021 VirtualBox USB Tablet
 Bus 001 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
MachineType: innotek GmbH VirtualBox
MarkForUpload: True
ProcEnviron:
 TERM=linux
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: file=/cdrom/preseed/username.seed boot=casper initrd=/casper/initrd.lz quiet splash -- maybe-ubiquity
SourcePackage: xorg
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 12/01/2006
dmi.bios.vendor: innotek GmbH
dmi.bios.version: VirtualBox
dmi.modalias: dmi:bvninnotekGmbH:bvrVirtualBox:bd12/01/2006:svninnotekGmbH:pnVirtualBox:pvr1.2:
dmi.product.name: VirtualBox
dmi.product.version: 1.2
dmi.sys.vendor: innotek GmbH
version.compiz: compiz 1:0.9.7.12-0ubuntu1
version.libdrm2: libdrm2 2.4.39-0ubuntu0.1
version.libgl1-mesa-dri: libgl1-mesa-dri N/A
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx N/A
version.xserver-xorg-core: xserver-xorg-core N/A
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
version.xserver-xorg-video-ati: xserver-xorg-video-ati N/A
version.xserver-xorg-video-intel: xserver-xorg-video-intel N/A
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau N/A

Paul Larson (pwlars) wrote :
Robert Hooker (sarvatt) wrote :

stderr of X when it crashes

Robert Hooker (sarvatt) wrote :

It appears this commit is needed to fix the remaining error in i386 virtualbox from local testing, i'll get it put in a PPA tomorrow and SRUed when 12.04.2 releases

http://cgit.freedesktop.org/xorg/lib/libpciaccess/commit/?id=a798395a1bfd9d06d40e2d8d14377a156c94429a

Colin Watson (cjwatson) on 2013-02-14
affects: xorg (Ubuntu) → libpciaccess (Ubuntu)
Changed in libpciaccess (Ubuntu):
status: New → Fix Released
Changed in libpciaccess (Ubuntu Precise):
status: New → Triaged
milestone: none → ubuntu-12.04.3
importance: Undecided → High
Robert Hooker (sarvatt) wrote :

 libpciaccess (0.12.902-1ubuntu0.2) precise-proposed; urgency=low
 .
   * Add fix_deletion_of_last_handle.patch: Backport of upstream commit
     a798395a1b to fix the glibc abort when using vesa under virtualbox
     on i386. (LP: #1124660)

I've also put it up in https://launchpad.net/~sarvatt/+archive/sru8 because it may take a while to find a sponsor

Martin Pitt (pitti) wrote :

Thanks for this! Booting 12.04.2 in kvm or VB is indeed a real nuisance (meaning: I didn't manage to get it to work at all), so this is highly appreciated.

Sponsored, now needs ubuntu-sru to review. Removing sponsors subscription.

Changed in libpciaccess (Ubuntu Precise):
status: Triaged → In Progress

Hello Paul, or anyone else affected,

Accepted libpciaccess into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/libpciaccess/0.12.902-1ubuntu0.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in libpciaccess (Ubuntu Precise):
status: In Progress → Fix Committed
tags: added: verification-needed
Geoff Martin (geoff-martin) wrote :

I was also getting the low graphics mode problem when using Ubuntu 12.02.2 with Virtualbox. I've tested the updated libpciaccess package with Virtualbox in two ways:

1) I installed the package into a live session running on Virtualbox.
2) I built the package into a custom Live image which I ran on Virtualbox.

In both cases adding the package solved the issue with the desktop appearing as it should.

tags: added: verification-done
removed: verification-needed

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libpciaccess - 0.12.902-1ubuntu0.2

---------------
libpciaccess (0.12.902-1ubuntu0.2) precise-proposed; urgency=low

  * Add fix_deletion_of_last_handle.patch: Backport of upstream commit
    a798395a1b to fix the glibc abort when using vesa under virtualbox
    on i386. (LP: #1124660)
 -- Robert Hooker <email address hidden> Wed, 20 Feb 2013 12:37:07 -0500

Changed in libpciaccess (Ubuntu Precise):
status: Fix Committed → Fix Released
Jonathan (miareggeti) wrote :

For those who did not install updates, there is a workaround I found:

When you get to a picture similar to the one attached, press any key. Then select your language. Afterwards, press F6. Press Esc. In the text:

> ... quiet splash --

change to:

> ... quiet splash -- xforcevesa

That should be a workaround.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers